Skip to main content
PUT
/
api
/
v1
/
disputes
/
{dispute_id}
/
close
Close a dispute
curl --request PUT \
  --url https://payments.oaknetwork.org/api/v1/disputes/{dispute_id}/close \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "currency": "<string>",
    "reason": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Path Parameters

dispute_id
string<uuid>
required

Response

Dispute closed

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)